Subject: Re: [bug#62264] [PATCH core-updates 0/6] Add `guix index` subcommand

From: Ludovic Courtès <[email-masked]>
Date: Wed, 24 May 2023 16:40:45 +0200

Hi,

Simon Tournier <[email-masked]> skribis:

> On dim., 21 mai 2023 at 23:45, Ludovic Courtès <[email-masked]> wrote:
>
>>   - [ ] 'guix index' renamed to 'guix locate'
>
> Well, I have some patches that rename to “guix file”. :-)
>
> Well, ’guix locale’ appears to me also fine. 

“locate” sounds better to me, notably because it’s a verb.

>>   - [ ] 'search' action removed; option added to force reindexing
>
> I have an unpolished stuff that do:
>
>     guix file --index=TYPE
>     guix file foo bar
>
> Somehow, “guix file <terms>” the default action (= search).  And then
> some action with --action (as index or else).
>
>>   - [ ] warning printed when database is too old
>>   - [ ] start anew when database is very old
>>   - [ ] documentation written
>
> I have started… but I am not very far. :-)

Could you share what you have?

(I didn’t expect feedback so I thought I’d end up hack on the stuff
head-down.  Now we need to synchronize.  :-))

>>   - [ ] '--help' output made more concise
>
> Maybe also remove some “debug” code, no?

Done already.

Thanks!

Ludo’.